LibreOffice: DefaultViewController Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
DefaultViewController Service Reference

is the default controller implementation for OpenOffice.org's database application. More...

Inheritance diagram for DefaultViewController:

## Included Services
service | ::com::sun::star::frame::Controller
| defines basic controller functionality

## Exported Interfaces
interface | ::com::sun::star::ui::XContextMenuInterception
| allows intercepting context menu requests done by the user
interface | ::com::sun::star::awt::XUserInputInterception
| allows intercepting user input done by the user
interface | ::com::sun::star::view::XSelectionSupplier
| provides access to the current selection inside the application window, and allows to change it programmatically
interface | ::com::sun::star::frame::XTitle
| allows to retrieve and set the title which of the component
interface | ::com::sun::star::frame::XTitleChangeBroadcaster
| allows being notified about changes in the component's title
interface | XDatabaseDocumentUI
| allows programmatic access to aspects of the application's user interface.
Exported Interfaces inherited from Controller
interface | XController
| with this interface, components viewed in a Frame can serve events (by supplying dispatches)
interface | XDispatchProvider
| for certain functions which are useful at the UI
interface | com::sun::star::ui::XContextMenuInterception
| this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed
interface | com::sun::star::awt::XUserInputInterception
| makes it possible to intercept keyboard and mouse input.
interface | com::sun::star::view::XSelectionSupplier
| makes it possible to access and change the selection in a view
interface | com::sun::star::datatransfer::XTransferableSupplier
| makes it possible to work with clipboard data

## Additional Inherited Members
Public Types inherited from XDatabaseDocumentUI
typedef sequence< ::com::sun::star::lang::XComponent > | SubComponents
| contains all sub components of the database document
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame.
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model.
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view
any | getViewData ()
| provides access to current view status
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData().
XModel | getModel ()
| provides access to currently attached model
XFrame | getFrame ()
| provides access to owner frame of this controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Public Member Functions inherited from XTitle
string | getTitle ()
| Returns the title of the object.
void | setTitle ([in] string sTitle)
| Sets the title of the object.
Public Member Functions inherited from XTitleChangeBroadcaster
void | addTitleChangeListener ([in] com::sun::star::frame::XTitleChangeListener xListener)
| Add a listener.
void | removeTitleChangeListener ([in] com::sun::star::frame::XTitleChangeListener xListener)
| Remove a listener.
Public Member Functions inherited from XDatabaseDocumentUI
boolean | isConnected ()
| determines whether the application is currently connected to the database
void | connect () raises ( ::com::sun::star::sdbc::SQLException )
| lets the application connect to the database
::com::sun::star::beans::Pair< long, string > | identifySubComponent ([in] ::com::sun::star::lang::XComponent SubComponent) raises ( ::com::sun::star::lang::IllegalArgumentException )
| identifies the given sub component
boolean | closeSubComponents ()
| closes all sub components of the database document.
::com::sun::star::lang::XComponent | loadComponent ([in] long ObjectType, [in] string ObjectName, [in] boolean ForEditing) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::sdbc::SQLException )
| loads the given sub component of the database document
::com::sun::star::lang::XComponent | loadComponentWithArguments ([in] long ObjectType, [in] string ObjectName, [in] boolean ForEditing, [in] sequence< ::com::sun::star::beans::PropertyValue > Arguments) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::sdbc::SQLException )
| loads the given sub component of the database document
::com::sun::star::lang::XComponent | createComponent ([in] long ObjectType, [out] ::com::sun::star::lang::XComponent DocumentDefinition) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::sdbc::SQLException )
| creates a new sub component of the given type
::com::sun::star::lang::XComponent | createComponentWithArguments ([in] long ObjectType, [in] sequence< ::com::sun::star::beans::PropertyValue > Arguments, [out] ::com::sun::star::lang::XComponent DocumentDefinition) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::sdbc::SQLException )
| creates a new sub component of the given type
Public Attributes inherited from XDatabaseDocumentUI
com::sun::star::sdbc::XDataSource | DataSource
| provides access to the data source belong to the database document
com::sun::star::awt::XWindow | ApplicationMainWindow
| provides access to the application's main window
com::sun::star::sdbc::XConnection | ActiveConnection
| provides access to the current connection of the application
Protected Member Functions inherited from XContextMenuInterception
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor().
Protected Member Functions inherited from XUserInputInterception
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent.
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners.
void | addMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent.
void | removeMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners.
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Protected Member Functions inherited from XTransferableSupplier
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object.
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted.

## Detailed Description

is the default controller implementation for OpenOffice.org's database application.

## Exported Interfaces

## ◆ ::com::sun::star::frame::Controller

service ::com::sun::star::frame::Controller

defines basic controller functionality

## Exported Interfaces

## ◆ ::com::sun::star::awt::XUserInputInterception

interface ::com::sun::star::awt::XUserInputInterception

allows intercepting user input done by the user

## ◆ ::com::sun::star::frame::XTitle

interface ::com::sun::star::frame::XTitle

allows to retrieve and set the title which of the component

## ◆ ::com::sun::star::frame::XTitleChangeBroadcaster

interface ::com::sun::star::frame::XTitleChangeBroadcaster

allows being notified about changes in the component's title

## ◆ ::com::sun::star::ui::XContextMenuInterception

interface ::com::sun::star::ui::XContextMenuInterception

allows intercepting context menu requests done by the user

The com::sun::star::ui::ContextMenuExecuteEvent::Selection member of the event passed to an interceptor will not be the controller itself (though the controller also supports the `XSelectionSupplier` interface), but a component which describes the current selection of the very window where the context menu was requested.

In OpenOffice.org's database application, database objects such as tables, queries, forms, reports are displayed in a tree-like fashion. Currently, only context menu requests on this tree view can be intercepted using the `XContextMenuInterception` interface. Context menu requests in other places cannot be intercepted.

For the aforementioned tree view, the selection supplied by the `ContextMenuEvent::Selection` component is an array of NamedDatabaseObject instances.

## ◆ ::com::sun::star::view::XSelectionSupplier

interface ::com::sun::star::view::XSelectionSupplier

provides access to the current selection inside the application window, and allows to change it programmatically

The selection is an array of NamedDatabaseObject instances.

## ◆ XDatabaseDocumentUI

interface XDatabaseDocumentUI

allows programmatic access to aspects of the application's user interface.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/application/DefaultViewController.idl